The system cannot update the kernel: Cannot update this system’s kernel.

BobHoliday

Member
Sep 6, 2013
23
3
53
cPanel Access Level
Root Administrator
My WHM security advisor is, as of last week, reporting in a grey notification bar at the top of the list of checks:

"The system cannot update the kernel: Cannot update this system’s kernel."

There are currently zero outstanding updates reported by "yum check-update".

I do not wish to have the system perform kernel updates automatically (I prefer to do them manually on a cloned server as a test first, then roll them out on my production server).

Is this grey notification simply letting me know automatic kernel upgrades are disabled, or do I have a problem?

TY!
 

cPanelMichael

Administrator
Staff member
Apr 11, 2011
47,904
2,218
463
Is this grey notification simply letting me know automatic kernel upgrades are disabled, or do I have a problem?
Hello,

The alert you see can appear if your system runs within a VPS environment, such as QEMU/KVM or Virtuozzo, as options that affect the operating system may be unavailable on such environments.

Thank you.
 

menathor

Registered
Apr 5, 2016
3
0
1
Australia
cPanel Access Level
Website Owner
I've been getting the same error emails too (and I'm on a VPS). Can I safely ignore this or do I need to contact my VPS provider to get them to update it on their end?

Thanks!
 

cPanelMichael

Administrator
Staff member
Apr 11, 2011
47,904
2,218
463
Hello @menathor,

The original post on this thread was related to that message in "WHM >> Security Advisor". Can you confirm what the subject and body of the email message you are receiving contains?

Thank you.
 

cPanelMichael

Administrator
Staff member
Apr 11, 2011
47,904
2,218
463
I'm also getting this error. Is there a fix? running CENTOS 6.9 xen pv [server] v68.0.15 on KVM
You will need to contact your hosting provider to have them ensure the kernel is updated since it's a Xen PV environment. Note that since this is generally outside the control of the server owner, we have an internal case open (CPANEL-16076) to improve the warning message (or possibly remove it completely) on container-based systems.

Thank you.